package com.telerik.myapplication2.app;

import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;

import com.telerik.widget.chart.engine.databinding.FieldNameDataPointBinding;
import com.telerik.widget.chart.visualization.cartesianChart.RadCartesianChartView;
import com.telerik.widget.chart.visualization.cartesianChart.axes.CategoricalAxis;
import com.telerik.widget.chart.visualization.cartesianChart.axes.LinearAxis;
import com.telerik.widget.chart.visualization.cartesianChart.series.categorical.BarSeries;
import com.telerik.widget.chart.visualization.cartesianChart.series.categorical.CategoricalSeries;

import java.util.ArrayList;
import java.util.Random;

public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        RadCartesianChartView chart = (RadCartesianChartView) findViewById(R.id.chart);
        prepareChart(chart);
    }

    private void prepareChart(RadCartesianChartView chart) {
        LinearAxis vAxis = new LinearAxis(this);
        CategoricalAxis hAxis = new CategoricalAxis(this);

        CategoricalSeries series = new BarSeries(this);
        series.setCategoryBinding(new FieldNameDataPointBinding("category"));
        series.setValueBinding(new FieldNameDataPointBinding("value"));
        series.setData(getData());

        chart.setVerticalAxis(vAxis);
        chart.setHorizontalAxis(hAxis);
        chart.getSeries().add(series);
    }

    public Iterable getData() {
        ArrayList<DataClass> data = new ArrayList<DataClass>();
        Random random = new Random();

        for (int i = 0; i < 10; i++) {
            data.add(new DataClass(String.valueOf(i), random.nextFloat()));
        }

        return data;
    }

    private class DataClass {

        public String category;
        public float value;

        public DataClass(String category, float value) {
            this.category = category;
            this.value = value;
        }
    }
}
